---
apiVersion: "v1"
kind: "Template"
metadata:
  annotations:
    fabric8.cdi-camel-swagger/summary: "An example using REST DSL and Swagger Java\
      \ with CDI"
    description: "An example using REST DSL and Swagger Java with CDI"
    fabric8.cdi-camel-swagger/iconUrl: "img/icons/camel.svg"
  labels: {}
  name: "cdi-camel-swagger"
objects:
- apiVersion: "v1"
  kind: "Service"
  metadata:
    annotations:
      api.service.kubernetes.io/description-language: "SwaggerJSON"
      prometheus.io/port: "9779"
      api.service.openshift.io/api-manager: "apiman"
      prometheus.io/scrape: "true"
      api.service.kubernetes.io/path: "user"
      apiman.io/publish: "publish"
      api.service.kubernetes.io/protocol: "REST"
      api.service.kubernetes.io/description-path: "swagger.json"
      fabric8.io/iconUrl: "img/icons/camel.svg"
    labels:
      provider: "fabric8"
      project: "cdi-camel-swagger"
      version: "2.2.142"
      group: "quickstarts"
    name: "cdi-camel-swagger"
  spec:
    deprecatedPublicIPs: []
    externalIPs: []
    ports:
    - port: 80
      protocol: "TCP"
      targetPort: 8080
    selector:
      project: "cdi-camel-swagger"
      provider: "fabric8"
      group: "quickstarts"
    type: "LoadBalancer"
- apiVersion: "v1"
  kind: "ReplicationController"
  metadata:
    annotations:
      fabric8.io/iconUrl: "img/icons/camel.svg"
      fabric8.io/git-branch: "release-v2.2.142"
      fabric8.io/git-commit: "0ba78f7c04c2b32c60d5694070d6a6fd115a0731"
      fabric8.io/build-url: "http://jenkins.ux.fabric8.io/job/oss-parent/6"
      fabric8.io/build-id: "6"
    labels:
      provider: "fabric8"
      project: "cdi-camel-swagger"
      version: "2.2.142"
      group: "quickstarts"
    name: "cdi-camel-swagger"
  spec:
    replicas: 1
    selector:
      provider: "fabric8"
      project: "cdi-camel-swagger"
      version: "2.2.142"
      group: "quickstarts"
    template:
      metadata:
        annotations: {}
        labels:
          provider: "fabric8"
          project: "cdi-camel-swagger"
          version: "2.2.142"
          group: "quickstarts"
      spec:
        containers:
        - args: []
          command: []
          env:
          - name: "KUBERNETES_NAMESPACE"
            valueFrom:
              fieldRef:
                fieldPath: "metadata.namespace"
          image: "fabric8/cdi-camel-swagger:2.2.142"
          name: "cdi-camel-swagger"
          ports:
          - containerPort: 8080
            name: "http"
          - containerPort: 8778
            name: "jolokia"
          readinessProbe:
            httpGet:
              httpHeaders: []
              path: "/swagger.json"
              port: 8080
            initialDelaySeconds: 5
            timeoutSeconds: 30
          resources:
            limits:
              cpu: "0"
              memory: "0"
            requests:
              cpu: "0"
              memory: "0"
          securityContext: {}
          volumeMounts: []
        imagePullSecrets: []
        nodeSelector: {}
        volumes: []
parameters: []
